/**
 * @author      ETSI / STF462 / Alexandre Berge
 * @version     $URL$
 *              $Id$
 */
package org.etsi.ttcn.codec.its.uppertester;

import org.etsi.ttcn.tci.TciTypeClass;
import org.etsi.ttcn.codec.CodecFactory;
import org.etsi.ttcn.codec.generic.Record;

public class Plugin {

    public static void init() {

        CodecFactory cf = CodecFactory.getInstance();
        cf.setCodec(TciTypeClass.RECORD, "UpperTester", "", UtRecord.class);
        cf.setCodec(TciTypeClass.UNION, "UpperTester", "", UtUnion.class);
        cf.setCodec(TciTypeClass.BOOLEAN, "UpperTester", "", UtBoolean.class);
        cf.setCodec(TciTypeClass.RECORD, "UpperTester", "SituationContainer", Record.class);
        cf.setCodec(TciTypeClass.RECORD, "UpperTester", "UtDenmTrigger", UtDenmTrigger.class);
        cf.setCodec(TciTypeClass.RECORD, "UpperTester", "UtDenmUpdate", UtDenmTrigger.class);
        cf.setCodec(TciTypeClass.RECORD, "UpperTester", "Payload", UtPayload.class);
        cf.setCodec(TciTypeClass.RECORD, "UpperTester", "UtDenmTermination", UtDenmTermination.class);
        cf.setCodec(TciTypeClass.RECORD, "UpperTester", "UtDenmTriggerResult", UtDenmTermination.class);
        cf.setCodec(TciTypeClass.RECORD, "UpperTester", "UtChangePosition", UtChangePosition.class);
        cf.setCodec(TciTypeClass.UNION, "UpperTester", "UtCamTrigger", UtCamTrigger.class);
    }
}